> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get libraryexternal resources



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /library/external/{provider}/resources
openapi: 3.0.4
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
tags:
  - name: Account
  - name: AccountNotification
  - name: Agency
  - name: Analytics
  - name: Billing
  - name: Bot
  - name: BotMetric
  - name: BotSourceVariable
  - name: BotTemplate
  - name: BotTesting
  - name: Dashboard
  - name: Hierarchy
  - name: Lead
  - name: Leaderboard
  - name: Library
  - name: LiveDemo
  - name: Notification
  - name: Persona
  - name: Report
  - name: SmartFAQ
  - name: Source
  - name: SourceChannel
  - name: Webhook
paths:
  /library/external/{provider}/resources:
    get:
      tags:
        - Library
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalResourceSyncDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalResourceSyncDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalResourceSyncDto'
components:
  schemas:
    ExternalResourceSyncDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        connectionId:
          type: string
          nullable: true
        libraryDocumentId:
          type: string
          nullable: true
        sources:
          type: array
          items:
            $ref: '#/components/schemas/FileSourceDto'
          nullable: true
        folderId:
          type: string
          nullable: true
        folderName:
          type: string
          nullable: true
        recursive:
          type: boolean
        status:
          type: string
          nullable: true
        lastSyncStartedAt:
          type: string
          format: date-time
          nullable: true
        lastSyncCompletedAt:
          type: string
          format: date-time
          nullable: true
        lastSuccessfulSyncAt:
          type: string
          format: date-time
          nullable: true
        errorMessage:
          type: string
          nullable: true
        syncedFiles:
          type: integer
          format: int32
        unsupportedFiles:
          type: integer
          format: int32
        errorFiles:
          type: integer
          format: int32
        files:
          type: array
          items:
            $ref: '#/components/schemas/ExternalResourceItemSyncDto'
          nullable: true
      additionalProperties: false
    FileSourceDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
      additionalProperties: false
    ExternalResourceItemSyncDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        externalItemId:
          type: string
          nullable: true
        externalParentItemId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        path:
          type: string
          nullable: true
        mimeType:
          type: string
          nullable: true
        size:
          type: integer
          format: int64
          nullable: true
        externalModifiedTime:
          type: string
          format: date-time
          nullable: true
        status:
          type: string
          nullable: true
        lastSeenAt:
          type: string
          format: date-time
          nullable: true
        lastSyncedAt:
          type: string
          format: date-time
          nullable: true
        errorMessage:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````